# SpeciesFormChangeStatusEffectTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeStatusEffectTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeStatusEffectTrigger

- Defined in src/data/pokemon-forms.ts:286

#####
Index

### Constructors

constructor

### Properties

invert
statusEffects

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeStatusEffectTrigger(statusEffects, invert?): SpeciesFormChangeStatusEffectTrigger

- #### Parameters

  - statusEffects: StatusEffect | StatusEffect []
  - invert: boolean = false

  #### Returns SpeciesFormChangeStatusEffectTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:290

## Properties

### invert

invert: boolean

- Defined in src/data/pokemon-forms.ts:288

### statusEffects

statusEffects: StatusEffect []

- Defined in src/data/pokemon-forms.ts:287

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:299

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:212